---
title: Portfolio - Michal Vanko
work_history_prelude: >-
  I've started learning web development when I was 14 years old. My very first
  website was a presentation site for my own _Counter-Strike_ clan.

  Then I had an opportunity to create a registration system for marathon runners for Europe's oldest marathon event. That basically started off my career as a web developer. I've worked on some projects while I was studying in high school and university. After that, I've started to work full-time as a web developer and gained more experience in developing real-time web applications.
work_history:
  - description: >-
      _sudolabs_ is a company focused on building products and software
      solutions for start-ups & other clients.

      The company has its own product lab focused on product research and product discovery and an engineering lab focused on the development of high-quality software solutions.

      At _sudolabs_, I've managed to proceed from senior software engineer to **tech lead and an Engineering manager**.

      I am part of one of the most successful projects at _sudolabs_, _The Expert_. I am responsible for the architecture and quality of the proposed feature solutions and for the development processes used.

      As an Engineering manager, I try to **represent people in my team** and help them **achieve the best of their potential**.


      I've started to work for _sudolabs_ in October 2019.
    name: sudolabs s.r.o.
    address:
      name: Sudo Labs. s.r.o.
      location: Námestie osloboditeľov 3/A
      zipcode: 040 18
      city: Košice
      country: Slovakia
    displayed: true
  - description: >-
      _**Croptech**_ is a start-up company located in Košice focused on smart
      automation of hydroponic systems. Founded in 2014 they've won
      _StartupAwards.sk_ and have been able to find investors.

      I've joined _Croptech_ after the previous team fall apart not being able to bring product into the market.

      I am main part of the _Croptech_ team. I figure as a **CTO** of the company. I've developed architecture of the main product called _responzIO_.
    name: CropTech. s.r.o.
    displayed: false
    address:
      name: CropTech. s.r.o.
      location: Benkova 18
      zipcode: 040 18
      city: Košice
      country: Slovakia
  - description: >-
      _localhost.company_ was a small company that had around 40 developers
      while most of them were students. I worked in _localhost_ as a **Senior
      front end developer**. I was focused on delivering a high-quality product
      and to teach and helping other colleagues grow in expertise.


      I've started to work there in October 2018 and left after a year.
    name: localhost.company s.r.o.
    displayed: true
    address:
      name: localhost.company s.r.o.
      location: Boženy Nemcovej 30
      zipcode: 040 01
      city: Košice
      country: Slovakia
  - description: >
      I worked in _Ness_ as a Senior front-end developer. In _Ness_, I've been
      able to work for different clients on various projects.


      I joined Ness as a Junior front-end developer and I've been able to quickly proceed to Senior level with my engagement. 


      I started to work in March 2013 and left in October 2018.
    name: Ness KE s.r.o.
    displayed: true
    address:
      name: Ness KE s.r.o.
      location: Moldavská cesta 10/B
      zipcode: 040 11
      city: Košice
      country: Slovakia
  - description: >-
      I worked in _eSOLUTIONS_ as a **web developer** part-time while I was
      studying in high school and at University.


      I was building front-end and back-end services for websites and web applications. Mostly using _PHP_, _MySQL_, _JavaScript_, _HTML_, _CSS_.


      I started to work in 2007 and stopped in 2012.
    name: eSOLUTIONS s.r.o.
    displayed: true
    address:
      name: eSOLUTIONS s.r.o.
      location: Hroncová 2
      zipcode: 040 01
      city: Košice
      country: Slovakia
projects:
  - description: >-
      _The Expert_ is a digital platform that connects clients to interior
      designers around the world. For experts, it allows **managing** their
      **portfolio and profile** and **schedule** in which they are open for
      **consultations**. Clients are able to view their profiles and book
      consultations.

      The project is **expanding with an e-commerce platform** that should enable these experts to recommend and sell high-value goods.


      We have built this platform from scratch as the only technical team. We also managed to design the product itself in-house.

      I am part of the engineering team. I work as an **Engineering manager**. I am also **responsible for the technical architecture** and **development processes** that are being used to deliver new features.


      _The Expert_ has been **featured in** numerous **worldwide media** such as [_The New York Times_](https://www.nytimes.com/2021/10/19/business/home-design-zoom.html?smid=url-share), [_Wall Street Journal_](https://www.wsj.com/articles/how-you-can-afford-to-hire-your-dream-interior-designer-11619627877), [_Forbes_](https://www.forbes.com/sites/emmareynolds/2021/02/08/introducing-the-expert-a-new-digital-platform-for-interior-design-founded-by-designer-jake-arnold/?sh=33b274934471), [_TechCrunch_](https://techcrunch.com/2021/04/19/gwyneth-paltrow-invests-in-the-expert-a-video-marketplace-for-high-end-interior-designers/?guccounter=2), and many more.
    displayed: true
    name: The Expert
    image:
      source: /images/uploads/the-expert-logo.svg
      image_description: The Expert logo
  - description: >-
      *Panoramic* is a company focused on building a web application for data
      scientists to be able to create and share models and graphs in between
      each other.

      I've been working as a **team lead** of a small team that was focused on building a **rich-text collaboration** feature into the web application.

      The application was built on top of modern web technologies such as **React, node.js with GraphQL, and TypeScript**. We have successfully built this feature by integrating *[Mattermost](https://mattermost.com/)* into the existing back-end. After that, we have been helping another team by enhancing existing features for importing data sources.
    displayed: true
    name: Panoramic
  - description: >-
      _Manualogic_ is a **single-page application** for product manual creators.
      It contains **custom web editor** and management system of **translatable
      pages, books** and **products.** Its main goal is to enable customers to
      get manuals of their products in digital form.


      It's built on top of modern web technologies such as **Angular**, **RxJS**, and the content is synchronized through **Websockets**. The back-end part is built on top of **Spring framework**.


      The team consisted of 3-4 front-end developers, 2-3 back-end developers, and 2 testers.
    displayed: true
    name: Manualogic
  - description: >-
      _**responzIO**_ is smart, easy to use monitoring and automation system.
      The ultimate tool for various applications such as hydroponics, aquariums
      and gardens.


      I worked on _responzIO_ as architect and full-stack developer. I've designed complete software solution for an already created platform and a series of sensors, sockets and other hardware. Designed solution consist of varios parts: Deployment, Microservices, Stateful core back-end application, progressive web application, auto-update over web...


      This project is built with modern web technologies including: **CycleJS**, **Reactive Streams**, **D3**, **Jest**, **Webpack**.
    displayed: true
    image:
      image_description: " responzIO main controller"
      source: /images/uploads/responzio.png
    name: responzIO
  - description: >-
      _Signal Hub_ is an end-to-end **Big Data analytics platform** for large
      enterprises. It accelerates the process of extracting insights and
      intelligence from large volumes of data, including data of different types
      and in different formats.


      I worked on _Signal Hub_ as a front-end developer. Working on the part of the platform called _Workbench_. _Workbench_ is an **IDE for data analyst**. It allows to create and tweak various models and transformations which are then deployed to other parts of the platform. Users are able to create workflows and see the results of his work with pleasant visuals.


      This project is built with modern web technologies including: **AngularJS**, **React**, **D3**, **Highcharts**, **Jest**, **Webpack**.


      I was part of a large distributed team of ~20 developers & ~6 testers which were working on the whole platform.
    displayed: true
    name: Signal Hub Manager
  - description: >-
      _SHIP_ is a web application for **editors** who actively **track trades
      offers and bids** on the commodity market.


      It was built for a price reporting company _S&P Global Platts_. This company is a provider of energy and commodities information and a source of benchmark price assessments in the _physical energy markets_.


      _SHIP_ was suited for a very easy and quick workflow for editors.


      Team consisted of 3 front-end and 3 back-end developers. I was a **leader of the front-end** part of the project.


      The application was built with **AngularJS and Redux**. The challenging part was working with **Cassandra database**.
    displayed: true
    name: SHIP (Structured heard input process)
  - description: >-
      [www.caplin.com/business/fx-sales.com](http://www.caplin.com/business/fx-sales)


      The main function of _Caplin FX Sales_ is to allow sales users to <string>trade on behalf of their clients</string>. This needs to be an efficient workflow providing all the relevant information to the sales user.


      Main technologies used: **Websockets**, Custom Front-end JavaScript MVVM Framework (based on Knockout, BRJS)


      We worked on this project in a team of 6 developers and 3 testers
    displayed: true
    name: FX Salestrader
  - description: >-
      _Skosy_ is a web application which purpose is to **automate writing of
      integration tests** for web sites.


      I worked on a _proof of concept_ front-end portion of this application, which was able to create a list of steps for testing.


      I worked on this project in a team of 2 front-end developers.
    displayed: false
    name: Skosy
  - description: >-
      [www.livesport.tv](http://www.livesport.tv)


      _Livesport.tv_ is a network of premium online sports channels, featuring all the top sports competitions from around the world.


      I worked on this project as a front-end developer. I maintained all livesport channels and I worked on new features and enhancements of websites.


      Project was built on top of **Freemarker** templating language.


      The team consisted of 2 developers and 1 tester.
    displayed: true
    name: Livesport.tv
  - description: >-
      _beIN Sports_ is a global network of sports channels jointly owned and
      operated by _Qatari Sports Investments_, an affiliate of _Al Jazeera Media
      Networks_


      I worked on this project as a front-end developer. I maintained official websites of beIN SPORTS France and USA ([www.beinsports.fr](http://www.beinsports.fr), [www.beinsports.tv](http://www.beinsports.tv)).


      Project was built on top of **Freemarker** templating language.


      I worked on this project in a team consisting of 7 members.
    displayed: true
    name: beIN SPORTS France & beIN SPORTS USA
  - description: >-
      I worked on this project as a front-end developer. I maintained official
      websites of all Norweigian Football teams - NTF Network
      ([www.toppfotball.no](http://www.toppfotball.no))  


      Project was built on top of **Freemarker** templating language.


      I worked on this project in a team consisting of 4 members.
    displayed: false
    name: Norsk Toppfotball
  - description: >-
      [www.kosicemarathon.com](http://www.kosicemarathon.com/)


      _Košice Peace Marathon_ is the oldest marathon in Europe and the third-oldest in the world.


      I worked on this project as a front-end and an back-end developer. I've built a **custom CMS** for website and for registration of participants. Also created an application for actual event for signing participants.  

      The application was able to create a start list of all participants and provide various statistics about them.


      I've built this project alone and then one maintainer joined me.
    displayed: true
    name: Košice Peace Marathon
  - description: >-
      [www.ckvive.sk](http://www.ckvive.sk)


      _CK Vive_ is a travel agency.


      I worked on this project as a front-end and an back-end developer. I've created new **custom CMS** for adding destinations and apartments into offering.  


      I've built this project on top of **PHP**, **MySQL** and **JavaScript**.


      I worked on this project alone.
    displayed: false
    name: CK Vive
presentations:
  - displayed: true
    link: https://michalvankodev.github.io/unstoppable-growth-of-frontend-frameworks/
    name: Unstoppable growth of front-end frameworks
    description: >
      A simple summary of the web front-end evolution, which will try to
      describe how and why tools improve & why there is still something to
      explore.
  - displayed: true
    name: WebAssembly
    link: https://michalvankodev.github.io/presentation-webassembly/#/
    description: A presentation about what WebAssembly is about and how it might
      affect the future of the world.
  - displayed: true
    name: Spreading the web
    description: A presentation about the rising number of use cases for utilizing
      web technologies outside of the web platform such as native mobile
      applications and robotics.
    link: https://michalvankodev.github.io/spreading-the-web/#/
  - displayed: true
    name: Docker
    link: http://michalvankodev.github.io/dockerpresentation/#/
    description: An introduction to Docker containerization technology and how it
      differs from virtualization.
education:
  - description: |-
      Faculty of Electrical Engineering and Informatics - Intelligent Systems

      _Artificial Intelligence, Neural Networks, Fuzzy Systems_

      Dates: 1\. 9\. 2010 - 20\. 6\. 2013

      Title of qualification awarded: Bachelor (Bc.)
    displayed: true
    name: Technická univerzita Košice
  - description: >-
      _SPŠ Elektrotechnická, Komenského 22, Košice_


      Electrotechnics, Telecommunication


      Dates: 1\. 9\. 200 - 1\. 7\. 2010


      Title of qualification awarded: Full secondary school education with leaving examination
    displayed: true
    name: Secondary school of Electrical Engineering in Košice
---
## Personal Information

I was born in Košice, Slovakia and I still live here. I like to drink tea and cook my own recipes.

### Hobbies

I enjoy playing basketball with my friends. I also like to play other team sports like football and hockey. I also play squash and table tennis. Once I've won a competition in squash at my university. During summer, I love to go water skiing or swimming in a nearby lake.

I am very passionate about music. I've also tried to use some digital workstations to compose my own music.

I enjoy playing board games with my friends and family.

### Interests

I like to explore new technologies and _Open-source_ software.
I am interested in modern software architecture and _reactive programming_.
I've attended several **tech conferences and hackathons**, where I can meet interesting people and explore fascinating ideas.

I've given presentations on various topics related to _web development_. You can [take a look at some of them here](#presentations).

I enjoy **teaching and explaining** how technologies and techniques work to my colleagues or students for their better understanding.  
I take advantage of **test-driven development**.

## Skills

Slovak is my mother tongue and I've learned English as my second language. I speak English on an advanced level.

I'm an experienced _Linux Desktop_ user. I prefer to use open-source libraries and technologies while I develop solutions.

I'm in good command of Office Tools and I have experience with image manipulation programs like _GIMP_ and _Inkscape_.  
I can also compose music and sounds on _digital audio workstation_.

I'm passionate about _software architecture_. My goal is not only to be able to design a suitable solution for any kind of product but also to be able to architect the processes behind building a team. From small _presentation sites_, _IOT devices_, to large _enterprise applications running on cloud_.

I practice **public speaking** and I am not afraid to share my knowledge and passion about technology.

I'm an advanced user of source code management tools _git_ and _svn_.

I've got a driving license for category B 🚗.
